Package org.eclipse.rdf4j.sail.lucene

## Class LuceneSailBuffer.AddRemoveOperation

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.LuceneSailBuffer.Operation
  - - org.eclipse.rdf4j.sail.lucene.LuceneSailBuffer.AddRemoveOperation

- Enclosing class:
    LuceneSailBuffer

      public static class LuceneSailBuffer.AddRemoveOperation
      extends LuceneSailBuffer.Operation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddRemoveOperation()` |
    `AddRemoveOperation​(boolean useType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Statement s)` |
    `void` | `addType​(Statement s, boolean rightType)` |
    `HashSet<Statement>` | `getAdded()` |
    `HashSet<Statement>` | `getRemoved()` |
    `Map<Resource,​Boolean>` | `getTypeAdded()` |
    `Set<Resource>` | `getTypeRemoved()` |
    `void` | `remove​(Statement s)` |
    `void` | `removeType​(Statement s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddRemoveOperation

          public AddRemoveOperation()

    - #### AddRemoveOperation

          public AddRemoveOperation​(boolean useType)

  - ### Method Detail

    - #### add

          public void add​(Statement s)

    - #### addType

          public void addType​(Statement s,
                              boolean rightType)

    - #### remove

          public void remove​(Statement s)

    - #### removeType

          public void removeType​(Statement s)

    - #### getAdded

          public HashSet<Statement> getAdded()

      Returns:
        Returns the added.

    - #### getRemoved

          public HashSet<Statement> getRemoved()

      Returns:
        Returns the removed.

    - #### getTypeAdded

          public Map<Resource,​Boolean> getTypeAdded()

      Returns:
        Returns the added type

    - #### getTypeRemoved

          public Set<Resource> getTypeRemoved()

      Returns:
        Returns the removed type